# $Id: perl-Object-InsideOut.spec 5967 2007-11-06 20:43:21Z dag $
# Authority: dag
# Upstream: Jerry D. Hedden <jdhedden$cpan,org>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Object-InsideOut

Summary: Comprehensive inside-out object support module
Name: perl-Object-InsideOut
Version: 3.33
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Object-InsideOut/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/Object/Object-InsideOut-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)

%description
perl-Object-InsideOut is a Perl module with comprehensive inside-out
object support module.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

### Clean up docs
find examples/ -type f -exec %{__chmod} a-x {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST META.yml README examples/
%doc %{_mandir}/man3/Bundle::Object::InsideOut.3pm*
%doc %{_mandir}/man3/Object::InsideOut.3pm*
%doc %{_mandir}/man3/Object::InsideOut::*.3pm*
%dir %{perl_vendorlib}/Bundle/
%dir %{perl_vendorlib}/Bundle/Object/
%{perl_vendorlib}/Bundle/Object/InsideOut.pm
%dir %{perl_vendorlib}/Object/
%{perl_vendorlib}/Object/InsideOut/
%{perl_vendorlib}/Object/InsideOut.pm
%{perl_vendorlib}/Object/InsideOut.pod

%changelog
* Tue Nov 13 2007 Dag Wieers <dag@wieers.com> - 3.33-1 - 5967+/dag
- Updated to release 3.33.

* Tue Nov 06 2007 Dag Wieers <dag@wieers.com> - 3.27-1
- Updated to release 3.27.

* Fri May 04 2007 Dag Wieers <dag@wieers.com> - 3.14-1
- Initial package. (using DAR)
